use std::io;
use std::process::exit;
mod lol;

fn read_line() -> Option<(String, usize)> {
    let mut input = String::new();
    match io::stdin().read_line(&mut input) {
        Ok(n) => Some((input, n)),
        _ => None,
    }
}

fn main() {
    let mut seed: f64 = rand::random::<f64>() * 1_000_000.0;
    while let Some((x, n)) = read_line() {
        lol::print_rainbow(&x, 0.1, seed, 3.0, true);
        if n == 0 {
            // EOF
            exit(0);
        }
        seed += 1.0;
    }
}
